Sign up and get started with Confidence today! Create your account
Sign up and get started with Confidence today! Create your account
List entities. Entities are returned in no particular order.
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/entities \
--header 'Authorization: Bearer <token>'{
"entities": [
{
"displayName": "<string>",
"primaryKeyType": "COLUMN_TYPE_UNSPECIFIED",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>",
"defaultAssignmentTable": "<string>"
}
],
"nextPageToken": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The maximum number of entities to fetch.
Token used for pagination.
Filtering for entities, follows the lucene query string format for example 'name: "entities/abc"', see Entity type for available fields.
Provide fields and direction to sort by. Will always tiebreak on name. Format: {"<"}field_0{">"}:{"<"}direction{">"}, {"<"}field_1{">"}:{"<"}direction{">"} Example: displayName:desc,createTime:asc
Was this page helpful?
curl --request GET \
--url https://metrics.eu.confidence.dev/v1/entities \
--header 'Authorization: Bearer <token>'{
"entities": [
{
"displayName": "<string>",
"primaryKeyType": "COLUMN_TYPE_UNSPECIFIED",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>",
"defaultAssignmentTable": "<string>"
}
],
"nextPageToken": "<string>"
}